Subject: Re: [PATCH] doc: fix 'git status --help' character quoting

From: Junio C Hamano <[email-masked]>
Date: Mon, 20 Oct 2014 10:14:31 -0700

"Philip Oakley" <[email-masked]> writes:

> From: "Junio C Hamano" <[email-masked]>
>> Philip Oakley <[email-masked]> writes:
>>
>>> Correct backtick quoting for some of the modification states to give
>>> consistent web rendering.
>>
>> This is to match the way how "XY PATH1 -> PATH2" is typeset, I
>> presume.  Some in the body text are already `XY` to match, but some
>> others are not,
>> and you are fixing them, all of which look good.
>
> Do you need me to add this to the commit message?

Nah, it already mentions "consistent"; I was just double checking
that I correctly understod consistency with what part of existing
doc is achieved with the patch.

> The reason I proposed the change is because on the web view, on my
> machine, I questioned whether the specially formatted character
> (remember its quotation is consumed by ascidoc) looked too much like
> an Oh, so I specially checked on the original .txt to see if it was
> correct there, which led me to the proposal for '00' in this case.
>
> I'd be just as happy with a single zero, as long as it's distinct from
> O (as you probably know, in the depths of hsitory typewriters didn't
> even have 0 and 1 keys - the O and l were used interchangably and many
> fonts keep too much to that pattern of undifferetiability!)

Yes, and that is why I said

>> there is
>> no risk for anybody to mistake "O" (oh) as part of digits, whether
>> you use decimal or hexadecimal.

;-)

> Note the more recent http://git-scm.com/docs/git-status has the
> formatted round o and

I think it is just the font. I just opened the above page with
Chrome and futzed the text from '0' to '0123456789' to see how it
look.  That round thing is consistent with how other digits are
rendered.

https://plus.google.com/u/0/+JunioCHamano/posts/dzNXV2FwP6K

(sorry for a URL to plus)

> https://www.kernel.org/pub/software/scm/git/docs/git-status.html
> (which IIUC is out of date) has an unformatted 0.